diff --git a/configs/MIP405T_defconfig b/configs/MIP405T_defconfig
index 387d60d..6e3a721 100644
--- a/configs/MIP405T_defconfig
+++ b/configs/MIP405T_defconfig
@@ -16,4 +16,5 @@ CONFIG_CMD_FAT=y
 CONFIG_SYS_NS16550=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_VIDEO_CT69000=y
diff --git a/configs/MIP405_defconfig b/configs/MIP405_defconfig
index 1acec56..8e26ce6 100644
--- a/configs/MIP405_defconfig
+++ b/configs/MIP405_defconfig
@@ -18,4 +18,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_VIDEO_CT69000=y
diff --git a/configs/MiniFAP_defconfig b/configs/MiniFAP_defconfig
index 6df03b1..208f894 100644
--- a/configs/MiniFAP_defconfig
+++ b/configs/MiniFAP_defconfig
@@ -22,4 +22,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/PIP405_defconfig b/configs/PIP405_defconfig
index b86d28b..891cd43 100644
--- a/configs/PIP405_defconfig
+++ b/configs/PIP405_defconfig
@@ -18,4 +18,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_VIDEO_CT69000=y
diff --git a/configs/TQM5200_B_HIGHBOOT_defconfig b/configs/TQM5200_B_HIGHBOOT_defconfig
index 49a53bf..ec75792 100644
--- a/configs/TQM5200_B_HIGHBOOT_defconfig
+++ b/configs/TQM5200_B_HIGHBOOT_defconfig
@@ -22,4 +22,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/TQM5200_B_defconfig b/configs/TQM5200_B_defconfig
index 8acc5d2..2d7ca16 100644
--- a/configs/TQM5200_B_defconfig
+++ b/configs/TQM5200_B_defconfig
@@ -22,4 +22,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/TQM5200_STK100_defconfig b/configs/TQM5200_STK100_defconfig
index 0e11a00..c258821 100644
--- a/configs/TQM5200_STK100_defconfig
+++ b/configs/TQM5200_STK100_defconfig
@@ -22,4 +22,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/TQM5200_defconfig b/configs/TQM5200_defconfig
index 6ef0df7..3e189bd 100644
--- a/configs/TQM5200_defconfig
+++ b/configs/TQM5200_defconfig
@@ -21,4 +21,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/charon_defconfig b/configs/charon_defconfig
index 3de627b..188dc88 100644
--- a/configs/charon_defconfig
+++ b/configs/charon_defconfig
@@ -21,4 +21,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/icon_defconfig b/configs/icon_defconfig
index 15ed170..232f67d 100644
--- a/configs/icon_defconfig
+++ b/configs/icon_defconfig
@@ -20,4 +20,5 @@ CONFIG_CMD_FAT=y
 CONFIG_SYS_NS16550=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/ipek01_defconfig b/configs/ipek01_defconfig
index bb6801f..4e90df1 100644
--- a/configs/ipek01_defconfig
+++ b/configs/ipek01_defconfig
@@ -16,4 +16,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/lwmon5_defconfig b/configs/lwmon5_defconfig
index e31f4eb..0ef4c63 100644
--- a/configs/lwmon5_defconfig
+++ b/configs/lwmon5_defconfig
@@ -22,4 +22,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/socrates_defconfig b/configs/socrates_defconfig
index 1141990..bcbbf06 100644
--- a/configs/socrates_defconfig
+++ b/configs/socrates_defconfig
@@ -22,4 +22,5 @@ CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_CFB_CONSOLE=y
 CONFIG_VGA_AS_SINGLE_DEVICE=y
+CONFIG_CONSOLE_EXTRA_INFO=y
 CONFIG_OF_LIBFDT=y
diff --git a/drivers/video/Kconfig b/drivers/video/Kconfig
index 278600c..81446cc 100644
--- a/drivers/video/Kconfig
+++ b/drivers/video/Kconfig
@@ -480,6 +480,16 @@ config VGA_AS_SINGLE_DEVICE
 	  may be used if you have no keyboard device, or more than one
 	  (USB Keyboard, AT Keyboard).
 
+config CONSOLE_EXTRA_INFO
+	bool "Display additional board information"
+	depends on CFB_CONSOLE
+	help
+	  Display additional board information strings that normally go to
+	  the serial port. When this option is enabled, a board-specific
+	  function video_get_info_str() is called to get the string for
+	  each line of the display. The function should return the string,
+	  which can be empty if there is nothing to display for that line.
+
 config VIDEO_CT69000
 	bool "Enable Chips & Technologies 69000 video driver"
 	depends on VIDEO
diff --git a/include/configs/MIP405.h b/include/configs/MIP405.h
index 7c7acb1..0035c01 100644
--- a/include/configs/MIP405.h
+++ b/include/configs/MIP405.h
@@ -347,7 +347,6 @@
  * Video support
  ************************************************************/
 #define CONFIG_VIDEO_LOGO
-#define CONFIG_CONSOLE_EXTRA_INFO
 #undef CONFIG_VIDEO_ONBOARD
 /************************************************************
  * USB support EXPERIMENTAL
diff --git a/include/configs/PIP405.h b/include/configs/PIP405.h
index dd83004..e9ecdad 100644
--- a/include/configs/PIP405.h
+++ b/include/configs/PIP405.h
@@ -303,7 +303,6 @@
  * Video support
  ************************************************************/
 #define CONFIG_VIDEO_LOGO
-#define CONFIG_CONSOLE_EXTRA_INFO
 #define CONFIG_VIDEO_ONBOARD		/* Video controller is on-board */
 
 /************************************************************
diff --git a/include/configs/TQM5200.h b/include/configs/TQM5200.h
index 06d2be5..5439ed6 100644
--- a/include/configs/TQM5200.h
+++ b/include/configs/TQM5200.h
@@ -103,7 +103,6 @@
 #define CONFIG_VIDEO_LOGO
 
 #ifndef CONFIG_FO300
-#define CONFIG_CONSOLE_EXTRA_INFO
 #else
 #define CONFIG_VIDEO_BMP_LOGO
 #endif
diff --git a/include/configs/icon.h b/include/configs/icon.h
index 3a72a66..c60df49 100644
--- a/include/configs/icon.h
+++ b/include/configs/icon.h
@@ -133,7 +133,6 @@
 #define CONFIG_VIDEO_SM501_PCI
 #define VIDEO_FB_LITTLE_ENDIAN
 #define CONFIG_VIDEO_LOGO
-#define CONFIG_CONSOLE_EXTRA_INFO
 #define CONFIG_VIDEO_BMP_RLE8
 #define CONFIG_SPLASH_SCREEN
 #define CFG_CONSOLE_IS_IN_ENV
diff --git a/include/configs/ipek01.h b/include/configs/ipek01.h
index 5298376..d53080b 100644
--- a/include/configs/ipek01.h
+++ b/include/configs/ipek01.h
@@ -50,7 +50,6 @@
 #define VIDEO_FB_16BPP_WORD_SWAP
 #define CONFIG_VIDEO_LOGO
 #define CONFIG_VIDEO_BMP_LOGO
-#define CONFIG_CONSOLE_EXTRA_INFO
 #define CONFIG_SPLASH_SCREEN
 #define CONFIG_VIDEO_BMP_GZIP
 #define CONFIG_SYS_VIDEO_LOGO_MAX_SIZE	(2 << 20)	/* decompressed img */
diff --git a/include/configs/lwmon5.h b/include/configs/lwmon5.h
index 8892eca..3ea8a37 100644
--- a/include/configs/lwmon5.h
+++ b/include/configs/lwmon5.h
@@ -361,7 +361,6 @@
 #define CONFIG_VIDEO_MB862xx
 #define CONFIG_VIDEO_MB862xx_ACCEL
 #define CONFIG_VIDEO_LOGO
-#define CONFIG_CONSOLE_EXTRA_INFO
 #define VIDEO_FB_16BPP_PIXEL_SWAP
 #define VIDEO_FB_16BPP_WORD_SWAP
 
diff --git a/include/configs/socrates.h b/include/configs/socrates.h
index 16e4b02..0ae2b78 100644
--- a/include/configs/socrates.h
+++ b/include/configs/socrates.h
@@ -173,7 +173,6 @@
 #define CONFIG_VIDEO_MB862xx_ACCEL
 #define CONFIG_VIDEO_LOGO
 #define CONFIG_VIDEO_BMP_LOGO
-#define CONFIG_CONSOLE_EXTRA_INFO
 #define VIDEO_FB_16BPP_PIXEL_SWAP
 #define VIDEO_FB_16BPP_WORD_SWAP
 #define CONFIG_SPLASH_SCREEN
diff --git a/scripts/config_whitelist.txt b/scripts/config_whitelist.txt
index 9cb12f7..204830b 100644
--- a/scripts/config_whitelist.txt
+++ b/scripts/config_whitelist.txt
@@ -673,7 +673,6 @@ CONFIG_COMMON_ENV_SETTINGS
 CONFIG_COMMON_ENV_UBI
 CONFIG_COMPACT_FLASH
 CONFIG_COMPAT
-CONFIG_CONSOLE_EXTRA_INFO
 CONFIG_CONSOLE_INFO_QUIET
 CONFIG_CONSOLE_SCROLL_LINES
 CONFIG_CONS_EXTC_PINSEL